apiVersion: apps/v1
kind: Deployment
metadata:
  name: icp-admin-portal
  labels:
    app: icp-admin-portal
spec:
  strategy:
    type: Recreate
  replicas: 1
  selector:
    matchLabels:
      app: icp-admin-portal
  template:
    metadata:
      labels:
        app: icp-admin-portal
    spec:
      containers:
        - name: icp-admin-portal
          image: image-name
          imagePullPolicy: Always
          ports:
            - containerPort: 3000
          env:
            - name: REACT_APP_ICP_URL
              value: "ICP Url"
            - name: REACT_APP_KEYCLOAK_URL
              value: "Keycloak Url"